### Constructor

# Shumate VectorSprite new

since: 1.1

#### Declaration [src]

    ShumateVectorSprite*
    shumate_vector_sprite_new (
      GdkPaintable* source_paintable
    )

#### Description [src]

Creates a new `ShumateVectorSprite` using the paintable’s intrinsic size.

Available since: 1.1

#### Parameters

`source_paintable`

  Type: `GdkPaintable`

  A `GdkPaintable`.

  The data is owned by the caller of the function.

#### Return value

Type: `ShumateVectorSprite`

No description available.

The caller of the function takes ownership of the data, and is responsible for freeing it.